package org.eclipse.ecf.provider.ftp;

import org.eclipse.core.runtime.Plugin;
import org.osgi.framework.BundleContext;

/**
 * The main plugin class to be used in the desktop.
 */
public class FtpPlugin extends Plugin {

	public static final String PLUGIN_ID = "org.eclipse.ecf.provider.ftp";
	public static final String NAMESPACE_NAME = "ecfftp";
	
	//The shared instance.
	private static FtpPlugin plugin;
	
	/**
	 * The constructor.
	 */
	public FtpPlugin() {
		plugin = this;
	}

	/**
	 * This method is called upon plug-in activation
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
	}

	/**
	 * This method is called when the plug-in is stopped
	 */
	public void stop(BundleContext context) throws Exception {
		super.stop(context);
		plugin = null;
	}

	/**
	 * Returns the shared instance.
	 */
	public static FtpPlugin getDefault() {
		return plugin;
	}

}
